import request from '@/utils/request'

export function list(data) {
    return request({
      url: '/report/selectReport',
      method: 'post',
      data: data
    })
  }
  export function deleteReport(jobId) {
    return request({
      url: '/report/deleteReport?id=' + jobId,
      method: 'get'
    })
  }

  export function updateStatus(data) {
    const {productId, type, status, text } = data
    //status 0未处理 1驳回 2通过
    return request({
      url: `/report/updateStatus?productId=${productId}&type=${type}&status=${status}&text=${text}`,
      method: 'get'
    })
  }